flow123d_version: 2.0.0
problem: !Coupling_Sequential
  description: Test2 - Transport 1D-2D (convection, dual porosity, sorption)
  mesh:
    mesh_file: ./input/.sit_39_jemna final.msh
    regions:
      - !Union
        name: dirichlet_boundary
        regions:
          - .surface
          - .s_tunnel
          - .base
          - .lateral_wall_up
          - .back_wall_up
          - .f_surface
          - .f_tunnel
          - .f_bottom
          - .f_upper_zone
          - .base
  flow_equation: !Flow_Darcy_MH
    nonlinear_solver:
      linear_solver: !Petsc
        r_tol: 1.0e-15
        a_tol: 1.0e-15
    input_fields:
      - region: fracture
        conductivity: 1.061e-7
        cross_section: 0.5
        sigma: 1
      - region: 3D_volume_up
        conductivity: 0.1
        cross_section: 1
        sigma: 1
      - region: 3D_volume_middle
        conductivity: 5.276743e-10
        cross_section: 1
        sigma: 1
      - region: 3D_volume_down
        conductivity: 5.276743e-10
        cross_section: 1
        sigma: 1
      - region: .surface
        bc_type: total_flux
        bc_flux: 6.34E-09  # 200 mm/yr
      - region: .f_surface
        bc_type: total_flux
        bc_flux: 6.34E-09  # 200 mm/yr
      - region: .s_tunnel
        bc_type: dirichlet
        bc_pressure: 0
      - region: .f_tunnel
        bc_type: dirichlet
        bc_pressure: 0
      - region: .f_bottom
        bc_type: dirichlet
        bc_pressure: 320
      - region: .base
        bc_type: dirichlet
        bc_pressure: 320
      - region: .f_upper_zone
        bc_type: dirichlet
        bc_pressure: !FieldFormula
          value: -z
      - region: .lateral_wall_up
        bc_type: total_flux
        bc_flux: -0.0
      - region: .back_wall_up
        bc_type: dirichlet
        bc_pressure: !FieldFormula
          value: -z
    output_stream:
      file: tok.msh
      format: !gmsh
        variant: ascii
      name: flow_output_stream
    output:
      fields: []
    balance: {}
  solute_equation: !Coupling_OperatorSplitting
    transport: !Solute_AdvectionDiffusion_DG
      input_fields:
        - region: fracture
          init_conc: -10.40420665
          porosity: 0.043538
          diff_m: 0.0001706
          disp_t: 1
          disp_l: 5
        - region: 3D_volume_up
          init_conc: -10.40420665
          porosity: 0.02
          diff_m: 0.000221039
          disp_t: 1
          disp_l: 5
        - region: 3D_volume_middle
          init_conc: -10.40420665
          porosity: 0.0225
          diff_m: 0.00021253
          disp_t: 1
          disp_l: 5
        - region: 3D_volume_down
          init_conc: -10.40420665
          porosity: 0.0225
          diff_m: 0.00021253
          disp_t: 1
          disp_l: 5
        - region: .surface
          bc_type: inflow
          time: 0
          bc_conc: -12.85
        - region: .f_surface
          bc_type: inflow
          time: 0
          bc_conc: -12.85
        - region: .surface
          bc_type: inflow
          time: 30.437
          bc_conc: -14
        - region: .f_surface
          bc_type: inflow
          time: 30.437
          bc_conc: -14
        - region: .surface
          bc_type: inflow
          time: 60.874
          bc_conc: -12.8
        - region: .f_surface
          bc_type: inflow
          time: 60.874
          bc_conc: -12.8
        - region: .surface
          bc_type: inflow
          time: 91.311
          bc_conc: -12.35
        - region: .f_surface
          bc_type: inflow
          time: 91.311
          bc_conc: -12.35
        - region: .surface
          bc_type: inflow
          time: 121.748
          bc_conc: -11.69
        - region: .f_surface
          bc_type: inflow
          time: 121.748
          bc_conc: -11.69
        - region: .surface
          bc_type: inflow
          time: 152.185
          bc_conc: -5.57
        - region: .f_surface
          bc_type: inflow
          time: 152.185
          bc_conc: -5.57
        - region: .surface
          bc_type: inflow
          time: 182.622
          bc_conc: -4.12
        - region: .f_surface
          bc_type: inflow
          time: 182.622
          bc_conc: -4.12
        - region: .surface
          bc_type: inflow
          time: 213.059
          bc_conc: -10.64
        - region: .f_surface
          bc_type: inflow
          time: 213.059
          bc_conc: -10.64
        - region: .surface
          bc_type: inflow
          time: 243.496
          bc_conc: -6.13
        - region: .f_surface
          bc_type: inflow
          time: 243.496
          bc_conc: -6.13
        - region: .surface
          bc_type: inflow
          time: 273.933
          bc_conc: -8.92
        - region: .f_surface
          bc_type: inflow
          time: 273.933
          bc_conc: -8.92
        - region: .surface
          bc_type: inflow
          time: 304.37
          bc_conc: -9.21
        - region: .f_surface
          bc_type: inflow
          time: 304.37
          bc_conc: -9.21
        - region: .surface
          bc_type: inflow
          time: 334.807
          bc_conc: -11.6
        - region: .f_surface
          bc_type: inflow
          time: 334.807
          bc_conc: -11.6
        - region: .surface
          bc_type: inflow
          time: 365.244
          bc_conc: -11.9
        - region: .f_surface
          bc_type: inflow
          time: 365.244
          bc_conc: -11.9
        - region: .surface
          bc_type: inflow
          time: 395.681
          bc_conc: -13.6
        - region: .f_surface
          bc_type: inflow
          time: 395.681
          bc_conc: -13.6
        - region: .surface
          bc_type: inflow
          time: 426.118
          bc_conc: -11.38
        - region: .f_surface
          bc_type: inflow
          time: 426.118
          bc_conc: -11.38
        - region: .surface
          bc_type: inflow
          time: 456.555
          bc_conc: -11.22
        - region: .f_surface
          bc_type: inflow
          time: 456.555
          bc_conc: -11.22
        - region: .surface
          bc_type: inflow
          time: 486.992
          bc_conc: -9.12
        - region: .f_surface
          bc_type: inflow
          time: 486.992
          bc_conc: -9.12
        - region: .surface
          bc_type: inflow
          time: 517.429
          bc_conc: -6.65
        - region: .f_surface
          bc_type: inflow
          time: 517.429
          bc_conc: -6.65
        - region: .surface
          bc_type: inflow
          time: 547.866
          bc_conc: -8.29
        - region: .f_surface
          bc_type: inflow
          time: 547.866
          bc_conc: -8.29
        - region: .surface
          bc_type: inflow
          time: 578.303
          bc_conc: -6.3
        - region: .f_surface
          bc_type: inflow
          time: 578.303
          bc_conc: -6.3
        - region: .surface
          bc_type: inflow
          time: 608.74
          bc_conc: -9.52
        - region: .f_surface
          bc_type: inflow
          time: 608.74
          bc_conc: -9.52
        - region: .surface
          bc_type: inflow
          time: 639.177
          bc_conc: -10.07
        - region: .f_surface
          bc_type: inflow
          time: 639.177
          bc_conc: -10.07
        - region: .surface
          bc_type: inflow
          time: 669.614
          bc_conc: -11.45
        - region: .f_surface
          bc_type: inflow
          time: 669.614
          bc_conc: -11.45
        - region: .surface
          bc_type: inflow
          time: 700.051
          bc_conc: -12.82
        - region: .f_surface
          bc_type: inflow
          time: 700.051
          bc_conc: -12.82
        - region: .surface
          bc_type: inflow
          time: 730.488
          bc_conc: -10.28
        - region: .f_surface
          bc_type: inflow
          time: 730.488
          bc_conc: -10.28
        - region: .surface
          bc_type: inflow
          time: 760.925
          bc_conc: -10.45
        - region: .f_surface
          bc_type: inflow
          time: 760.925
          bc_conc: -10.45
        - region: .surface
          bc_type: inflow
          time: 791.362
          bc_conc: -11.51
        - region: .f_surface
          bc_type: inflow
          time: 791.362
          bc_conc: -11.51
        - region: .surface
          bc_type: inflow
          time: 821.799
          bc_conc: -11.24
        - region: .f_surface
          bc_type: inflow
          time: 821.799
          bc_conc: -11.24
        - region: .surface
          bc_type: inflow
          time: 852.236
          bc_conc: -9.21
        - region: .f_surface
          bc_type: inflow
          time: 852.236
          bc_conc: -9.21
        - region: .surface
          bc_type: inflow
          time: 882.673
          bc_conc: -4.75
        - region: .f_surface
          bc_type: inflow
          time: 882.673
          bc_conc: -4.75
        - region: .surface
          bc_type: inflow
          time: 913.11
          bc_conc: -7.29
        - region: .f_surface
          bc_type: inflow
          time: 913.11
          bc_conc: -7.29
        - region: .surface
          bc_type: inflow
          time: 943.547
          bc_conc: -8.18
        - region: .f_surface
          bc_type: inflow
          time: 943.547
          bc_conc: -8.18
        - region: .surface
          bc_type: inflow
          time: 973.984
          bc_conc: -11.17
        - region: .f_surface
          bc_type: inflow
          time: 973.984
          bc_conc: -11.17
        - region: .surface
          bc_type: inflow
          time: 1004.421
          bc_conc: -10.14
        - region: .f_surface
          bc_type: inflow
          time: 1004.421
          bc_conc: -10.14
        - region: .surface
          bc_type: inflow
          time: 1034.858
          bc_conc: -10.42
        - region: .f_surface
          bc_type: inflow
          time: 1034.858
          bc_conc: -10.42
        - region: .surface
          bc_type: inflow
          time: 1065.295
          bc_conc: -10.93
        - region: .f_surface
          bc_type: inflow
          time: 1065.295
          bc_conc: -10.93
        - region: .surface
          bc_type: inflow
          time: 1095.732
          bc_conc: -14.78
        - region: .f_surface
          bc_type: inflow
          time: 1095.732
          bc_conc: -14.78
        - region: .surface
          bc_type: inflow
          time: 1126.169
          bc_conc: -13.24
        - region: .f_surface
          bc_type: inflow
          time: 1126.169
          bc_conc: -13.24
        - region: .surface
          bc_type: inflow
          time: 1156.606
          bc_conc: -11.11
        - region: .f_surface
          bc_type: inflow
          time: 1156.606
          bc_conc: -11.11
        - region: .surface
          bc_type: inflow
          time: 1187.043
          bc_conc: -12.55
        - region: .f_surface
          bc_type: inflow
          time: 1187.043
          bc_conc: -12.55
        - region: .surface
          bc_type: inflow
          time: 1217.48
          bc_conc: -8.91
        - region: .surface
          bc_type: inflow
          time: 1217.48
          bc_conc: -8.91
        - region: .surface
          bc_type: inflow
          time: 1247.917
          bc_conc: -6.33
        - region: .f_surface
          bc_type: inflow
          time: 1247.917
          bc_conc: -6.33
        - region: .surface
          bc_type: inflow
          time: 1278.354
          bc_conc: -7.06
        - region: .f_surface
          bc_type: inflow
          time: 1278.354
          bc_conc: -7.06
        - region: .surface
          bc_type: inflow
          time: 1308.791
          bc_conc: -6.01
        - region: .f_surface
          bc_type: inflow
          time: 1308.791
          bc_conc: -6.01
        - region: .surface
          bc_type: inflow
          time: 1339.228
          bc_conc: -7.06
        - region: .f_surface
          bc_type: inflow
          time: 1339.228
          bc_conc: -7.06
        - region: .surface
          bc_type: inflow
          time: 1369.665
          bc_conc: -10.85
        - region: .f_surface
          bc_type: inflow
          time: 1369.665
          bc_conc: -10.85
        - region: .surface
          bc_type: inflow
          time: 1400.102
          bc_conc: -12.26
        - region: .f_surface
          bc_type: inflow
          time: 1400.102
          bc_conc: -12.26
        - region: .surface
          bc_type: inflow
          time: 1430.539
          bc_conc: -15.57
        - region: .f_surface
          bc_type: inflow
          time: 1430.539
          bc_conc: -15.57
        - region: .surface
          bc_type: inflow
          time: 1460.976
          bc_conc: -14.8
        - region: .f_surface
          bc_type: inflow
          time: 1460.976
          bc_conc: -14.8
        - region: .surface
          bc_type: inflow
          time: 1491.413
          bc_conc: -15.44
        - region: .f_surface
          bc_type: inflow
          time: 1491.413
          bc_conc: -15.44
        - region: .surface
          bc_type: inflow
          time: 1521.85
          bc_conc: -11.09
        - region: .f_surface
          bc_type: inflow
          time: 1521.85
          bc_conc: -11.09
        - region: .surface
          bc_type: inflow
          time: 1552.287
          bc_conc: -13.34
        - region: .f_surface
          bc_type: inflow
          time: 1552.287
          bc_conc: -13.34
        - region: .surface
          bc_type: inflow
          time: 1582.724
          bc_conc: -8.73
        - region: .f_surface
          bc_type: inflow
          time: 1582.724
          bc_conc: -8.73
        - region: .surface
          bc_type: inflow
          time: 1613.161
          bc_conc: -8.05
        - region: .f_surface
          bc_type: inflow
          time: 1613.161
          bc_conc: -8.05
        - region: .surface
          bc_type: inflow
          time: 1643.598
          bc_conc: -7.88
        - region: .surface
          bc_type: inflow
          time: 1643.598
          bc_conc: -7.88
        - region: .surface
          bc_type: inflow
          time: 1674.035
          bc_conc: -10.21
        - region: .f_surface
          bc_type: inflow
          time: 1674.035
          bc_conc: -10.21
        - region: .surface
          bc_type: inflow
          time: 1704.472
          bc_conc: -11.67
        - region: .f_surface
          bc_type: inflow
          time: 1704.472
          bc_conc: -11.67
        - region: .surface
          bc_type: inflow
          time: 1734.909
          bc_conc: -9.87
        - region: .f_surface
          bc_type: inflow
          time: 1734.909
          bc_conc: -9.87
        - region: .surface
          bc_type: inflow
          time: 1765.346
          bc_conc: -14.3
        - region: .f_surface
          bc_type: inflow
          time: 1765.346
          bc_conc: -14.3
        - region: .surface
          bc_type: inflow
          time: 1795.783
          bc_conc: -15.84
        - region: .f_surface
          bc_type: inflow
          time: 1795.783
          bc_conc: -15.84
        - region: .surface
          bc_type: inflow
          time: 1826.22
          bc_conc: -11.34
        - region: .f_surface
          bc_type: inflow
          time: 1826.22
          bc_conc: -11.34
        - region: .surface
          bc_type: inflow
          time: 1856.657
          bc_conc: -12.87
        - region: .f_surface
          bc_type: inflow
          time: 1856.657
          bc_conc: -12.87
        - region: .surface
          bc_type: inflow
          time: 1887.094
          bc_conc: -12.93
        - region: .f_surface
          bc_type: inflow
          time: 1887.094
          bc_conc: -12.93
        - region: .surface
          bc_type: inflow
          time: 1917.531
          bc_conc: -10.51
        - region: .f_surface
          bc_type: inflow
          time: 1917.531
          bc_conc: -10.51
        - region: .surface
          bc_type: inflow
          time: 1947.968
          bc_conc: -8.19
        - region: .f_surface
          bc_type: inflow
          time: 1947.968
          bc_conc: -8.19
        - region: .surface
          bc_type: inflow
          time: 1978.405
          bc_conc: -7.62
        - region: .f_surface
          bc_type: inflow
          time: 1978.405
          bc_conc: -7.62
        - region: .surface
          bc_type: inflow
          time: 2008.842
          bc_conc: -9.11
        - region: .f_surface
          bc_type: inflow
          time: 2008.842
          bc_conc: -9.11
        - region: .surface
          bc_type: inflow
          time: 2039.279
          bc_conc: -6.36
        - region: .f_surface
          bc_type: inflow
          time: 2039.279
          bc_conc: -6.36
        - region: .surface
          bc_type: inflow
          time: 2069.716
          bc_conc: -10
        - region: .f_surface
          bc_type: inflow
          time: 2069.716
          bc_conc: -10
        - region: .surface
          bc_type: inflow
          time: 2100.153
          bc_conc: -7.92
        - region: .f_surface
          bc_type: inflow
          time: 2100.153
          bc_conc: -7.92
        - region: .surface
          bc_type: inflow
          time: 2130.59
          bc_conc: -10.62
        - region: .f_surface
          bc_type: inflow
          time: 2130.59
          bc_conc: -10.62
        - region: .surface
          bc_type: inflow
          time: 2161.027
          bc_conc: -13.28
        - region: .f_surface
          bc_type: inflow
          time: 2161.027
          bc_conc: -13.28
        - region: .surface
          bc_type: inflow
          time: 2191.464
          bc_conc: -10.53
        - region: .f_surface
          bc_type: inflow
          time: 2191.464
          bc_conc: -10.53
        - region: .surface
          bc_type: inflow
          time: 2221.901
          bc_conc: -10.19
        - region: .f_surface
          bc_type: inflow
          time: 2221.901
          bc_conc: -10.19
        - region: .surface
          bc_type: inflow
          time: 2252.338
          bc_conc: -10.2
        - region: .f_surface
          bc_type: inflow
          time: 2252.338
          bc_conc: -10.2
        - region: .surface
          bc_type: inflow
          time: 2282.775
          bc_conc: -11.67
        - region: .f_surface
          bc_type: inflow
          time: 2282.775
          bc_conc: -11.67
        - region: .surface
          bc_type: inflow
          time: 2313.212
          bc_conc: -6.84
        - region: .f_surface
          bc_type: inflow
          time: 2313.212
          bc_conc: -6.84
        - region: .surface
          bc_type: inflow
          time: 2343.649
          bc_conc: -8.65
        - region: .f_surface
          bc_type: inflow
          time: 2343.649
          bc_conc: -8.65
        - region: .surface
          bc_type: inflow
          time: 2374.086
          bc_conc: -6.63
        - region: .f_surface
          bc_type: inflow
          time: 2374.086
          bc_conc: -6.63
        - region: .surface
          bc_type: inflow
          time: 2404.523
          bc_conc: -8.67
        - region: .f_surface
          bc_type: inflow
          time: 2404.523
          bc_conc: -8.67
        - region: .surface
          bc_type: inflow
          time: 2434.96
          bc_conc: -8.03
        - region: .f_surface
          bc_type: inflow
          time: 2434.96
          bc_conc: -8.03
        - region: .surface
          bc_type: inflow
          time: 2465.397
          bc_conc: -10.5
        - region: .f_surface
          bc_type: inflow
          time: 2465.397
          bc_conc: -10.5
        - region: .surface
          bc_type: inflow
          time: 2495.834
          bc_conc: -14.01
        - region: .f_surface
          bc_type: inflow
          time: 2495.834
          bc_conc: -14.01
        - region: .surface
          bc_type: inflow
          time: 2526.271
          bc_conc: -15.6
        - region: .f_surface
          bc_type: inflow
          time: 2526.271
          bc_conc: -15.6
        - region: .surface
          bc_type: inflow
          time: 2556.708
          bc_conc: -10.49
        - region: .f_surface
          bc_type: inflow
          time: 2556.708
          bc_conc: -10.49
        - region: .surface
          bc_type: inflow
          time: 2587.145
          bc_conc: -16.04
        - region: .f_surface
          bc_type: inflow
          time: 2587.145
          bc_conc: -16.04
        - region: .surface
          bc_type: inflow
          time: 2617.582
          bc_conc: -15.37
        - region: .f_surface
          bc_type: inflow
          time: 2617.582
          bc_conc: -15.37
        - region: .surface
          bc_type: inflow
          time: 2648.019
          bc_conc: -12.28
        - region: .f_surface
          bc_type: inflow
          time: 2648.019
          bc_conc: -12.28
        - region: .surface
          bc_type: inflow
          time: 2678.456
          bc_conc: -11.16
        - region: .f_surface
          bc_type: inflow
          time: 2678.456
          bc_conc: -11.16
        - region: .surface
          bc_type: inflow
          time: 2708.893
          bc_conc: -9.84
        - region: .f_surface
          bc_type: inflow
          time: 2708.893
          bc_conc: -9.84
        - region: .surface
          bc_type: inflow
          time: 2739.33
          bc_conc: -7.95
        - region: .f_surface
          bc_type: inflow
          time: 2739.33
          bc_conc: -7.95
        - region: .surface
          bc_type: inflow
          time: 2769.767
          bc_conc: -5.54
        - region: .f_surface
          bc_type: inflow
          time: 2769.767
          bc_conc: -5.54
        - region: .surface
          bc_type: inflow
          time: 2800.204
          bc_conc: -6.69
        - region: .f_surface
          bc_type: inflow
          time: 2800.204
          bc_conc: -6.69
        - region: .surface
          bc_type: inflow
          time: 2830.641
          bc_conc: -9.78
        - region: .f_surface
          bc_type: inflow
          time: 2830.641
          bc_conc: -9.78
        - region: .surface
          bc_type: inflow
          time: 2861.078
          bc_conc: -11.91
        - region: .f_surface
          bc_type: inflow
          time: 2861.078
          bc_conc: -11.91
        - region: .surface
          bc_type: inflow
          time: 2891.515
          bc_conc: -9.4
        - region: .f_surface
          bc_type: inflow
          time: 2891.515
          bc_conc: -9.4
        - region: .surface
          bc_type: inflow
          time: 2921.952
          bc_conc: -17.45
        - region: .f_surface
          bc_type: inflow
          time: 2921.952
          bc_conc: -17.45
        - region: .surface
          bc_type: inflow
          time: 2952.389
          bc_conc: -11.96
        - region: .f_surface
          bc_type: inflow
          time: 2952.389
          bc_conc: -11.96
        - region: .surface
          bc_type: inflow
          time: 2982.826
          bc_conc: -12.24
        - region: .f_surface
          bc_type: inflow
          time: 2982.826
          bc_conc: -12.24
        - region: .surface
          bc_type: inflow
          time: 3013.263
          bc_conc: -10.56
        - region: .f_surface
          bc_type: inflow
          time: 3013.263
          bc_conc: -10.56
        - region: .surface
          bc_type: inflow
          time: 3043.7
          bc_conc: -8.43
        - region: .f_surface
          bc_type: inflow
          time: 3043.7
          bc_conc: -8.43
        - region: .surface
          bc_type: inflow
          time: 3074.137
          bc_conc: -11.02
        - region: .f_surface
          bc_type: inflow
          time: 3074.137
          bc_conc: -11.02
        - region: .surface
          bc_type: inflow
          time: 3104.574
          bc_conc: -7.68
        - region: .f_surface
          bc_type: inflow
          time: 3104.574
          bc_conc: -7.68
        - region: .surface
          bc_type: inflow
          time: 3135.011
          bc_conc: -9.56
        - region: .f_surface
          bc_type: inflow
          time: 3135.011
          bc_conc: -9.56
        - region: .surface
          bc_type: inflow
          time: 3165.448
          bc_conc: -9.23
        - region: .f_surface
          bc_type: inflow
          time: 3165.448
          bc_conc: -9.23
        - region: .surface
          bc_type: inflow
          time: 3195.885
          bc_conc: -10.95
        - region: .f_surface
          bc_type: inflow
          time: 3195.885
          bc_conc: -10.95
        - region: .surface
          bc_type: inflow
          time: 3256.759
          bc_conc: -10.40420665
        - region: .f_surface
          bc_type: inflow
          time: 3256.759
          bc_conc: -10.40420665
      solver: !Petsc
        a_tol: 1.0e-12
        r_tol: 1.0e-12
      output:
        fields: []
    substances: H2O
    time:
      end_time: 3256.759
      init_dt: 3.0437
    output_stream:
      file: test3-transport.msh
      format: !gmsh
        variant: ascii
      name: transport_output_stream
      times:
        - step: 3.0437
    balance:
      cumulative: true